Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class BaseTypeMapping

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.BaseTypeMapping

public abstract class BaseTypeMapping
extends java.lang.Object

Get the base language name for a qname

Constructor Summary
`BaseTypeMapping()`

Method Summary
`abstract java.lang.String` | `getBaseName(QName qName)` If the qname is registered in the target language, return the name of the registered type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseTypeMapping

    public BaseTypeMapping()

Method Detail

### getBaseName

    public abstract java.lang.String getBaseName(QName qName)

  If the qname is registered in the target language, return the name of the registered type.

  Parameters:
    `qName` - QName representing a type
  Returns:
    name of the registered type or null if not registered.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.